For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList available models
      • GETGet grouped models
      • GETList search-capable models
      • GETList configured search providers
      • GETList model configurations
      • POSTCreate model configuration
      • PUTUpdate model configuration
      • DELDelete model configuration
      • PATCHEnable or disable model configuration
      • PATCHSet default model configuration
      • GETGet model configuration usage
      • GETList distinct models in use
Dashboard
LogoLogo
Runtype APIModel Configs

List distinct models in use

GET
/v1/model-configs/distinct-in-use
GET
/v1/model-configs/distinct-in-use
$curl https://api.runtype.com/v1/model-configs/distinct-in-use \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 "gpt-4",
4 "text-davinci-003",
5 "code-cushman-001"
6 ],
7 "total": 3
8}
List distinct model IDs referenced across flow step configs, prompts, and enabled model configurations.
Was this page helpful?
Previous

List agents

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Response

Distinct model IDs in use
datalist of strings
totalinteger

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error